import { jsx } from "react/jsx-runtime";
import { Barbell as Barbell$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Barbell = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Barbell", ...props, children: /* @__PURE__ */ jsx(Barbell$1, { weight: variant }) });
  }
);
Barbell.displayName = "Barbell";
Object.assign(Barbell, { isGdsIcon: true });
export {
  Barbell
};
